												//------------------------------------------------------------------------------------
// irr::scene::IBillboardTextSceneNode wrappers (parent is ISceneNode)
//------------------------------------------------------------------------------------

extern "C"
{

	dimension2d<f32>* IrrScene_IBillboardTextSceneNode_getSize(IBillboardTextSceneNode* bb)
	{
		if (bb)
			return new dimension2d<f32>(bb->getSize());
		else return 0;
	}
	
	void IrrScene_IBillboardTextSceneNode_setSize(IBillboardTextSceneNode* bb,dimension2d<f32>* size)
	{
		if (bb)
			bb->setSize(*size);
	}
	 
	void IrrScene_IBillboardTextSceneNode_setColor(IBillboardTextSceneNode* bb,const video::SColor& overallColor)
	{
		if (bb)
			bb->setColor(overallColor);
	}

	void IrrScene_IBillboardTextSceneNode_setColorTopBottom(IBillboardTextSceneNode* bb,const video::SColor& topColor, const video::SColor& bottomColor)
	{
		if (bb)
			bb->setColor(topColor,bottomColor);
	}

	void IrrScene_IBillboardTextSceneNode_getColor(IBillboardTextSceneNode* bb,video::SColor& topColor, video::SColor& bottomColor)
	{
		if (bb)
			bb->getColor(topColor,bottomColor);
	}

	void IrrScene_IBillboardTextSceneNode_setText(IBillboardTextSceneNode* bb, const wchar_t* text) {
		if (bb)
			bb->setText(text);
	}

	void IrrScene_IBillboardTextSceneNode_setTextColor(IBillboardTextSceneNode* bb, SColor* color) {
		if (bb) 
			bb->setTextColor(*color);
	}
	
}